Bug 1012978 - removing repositories and products from content definition shows error
removing repositories and products from content definition shows error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: David Davis
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 09:30 EDT by Ales Dujicek
Modified: 2014-04-24 13:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-09-27 09:30:35 EDT
Description of problem:

when removing repo/product from content definition which does not contain that repo/product I get exception:

> content definition add_repo --org zoo --name def --product product --repo zoo1
Added repository [ zoo1 ] to definition [ def ]
> content definition remove_repo --org zoo --name def --product product --repo zoo1
Removed repository [ zoo1 ] to definition [ def ]
> content definition remove_repo --org zoo --name def --product product --repo zoo1
error: list.remove(x): x not in list (more in the log file /var/log/katello/client.log)


Version-Release number of selected component (if applicable):
ruby193-rubygem-foreman-katello-engine-0.0.8-6.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
katello-all-1.4.6-8.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-1.4.3-11.el6sat.noarch
katello-1.4.6-8.el6sat.noarch
katello-common-1.4.6-8.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-glue-candlepin-1.4.6-8.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.5-2.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.4-2.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-configure-1.4.5-8.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-configure-foreman-1.4.5-8.el6sat.noarch
katello-cli-common-1.4.3-11.el6sat.noarch
katello-glue-elasticsearch-1.4.6-8.el6sat.noarch
signo-katello-0.0.20-3.el6sat.noarch
katello-glue-pulp-1.4.6-8.el6sat.noarch
katello-foreman-all-1.4.6-8.el6sat.noarch


How reproducible:
always
Comment 2 David Davis 2013-10-07 07:41:04 EDT
https://github.com/Katello/katello-cli/pull/97
Comment 3 David Davis 2013-10-07 07:41:28 EDT
katello-cli SHA 9cfc82ee82f6c7325ad126af5f94942e52e61abb

1012978: Preventing error when removing products and repos
Comment 6 Hayk Hovsepyan 2013-10-11 05:30:57 EDT
Verified on revision:
signo-0.0.22-2.el6sat.noarch
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-1.3.0-15.el6sat.noarch
katello-cli-common-1.4.3-19.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-glue-pulp-1.4.6-29.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-12.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
foreman-postgresql-1.3.0-15.el6sat.noarch
katello-cli-1.4.3-19.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-10.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-glue-candlepin-1.4.6-29.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-1.4.6-29.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
katello-configure-foreman-1.4.5-10.el6sat.noarch
katello-foreman-all-1.4.6-29.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
candlepin-cert-consumer-ares.usersys.redhat.com-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-configure-1.4.5-10.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-common-1.4.6-29.el6sat.noarch
katello-glue-elasticsearch-1.4.6-29.el6sat.noarch
katello-all-1.4.6-29.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-7.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 9 Bryan Kearney 2014-04-24 13:07:51 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.